import { createApp } from 'vue';
import { createI18n } from 'vue-i18n';
import App from './App.vue';
import router from './router';
import messages from './locale';

const i18n = createI18n({
  locale: navigator.language.substr(0, 2),
  fallbackLocale: 'en',
  messages
});


createApp(App)
  .use(router)
  .use(i18n)
  .mount('#app')
