const axios = require('axios');


class PushoverTransport
{
  async send(contact, notification)
  {
    try
    {
      const data = {
        token: contact.token,
        user: contact.user,
        message: notification.message,
        priority: notification.priority,
        timestamp: notification.timestamp,
        url: notification.url,
        url_title: contact.urlTitle || 'Manage notifications'
      };

      if (notification.sound)
        data.sound = notification.sound;

      const response = await axios.post("https://api.pushover.net/1/messages.json", data);
      return response.statu;
    }
    catch
    {
      return false;
    }
  }
}


module.exports = PushoverTransport;